← Tables

Scotland

Women's Caledonia Midlands/East Region League Division 1

#TeamPWDLPDBPPtsForm
1Howe of Fife RFC5401+217521WWWWL
2Broughton RFC4310+60317WWDW
3Lismore RFC5302+75416LWWLW
4Grangemouth Stags RFC4112-714WLLD
5Dundee Valkyries 2nd XV3102-13812LLW
6Hillfoots Vixens5005-20700LLLLL

Source: Scottish Rugby · checked Oct 14, 04:52 PM · Form: the last five results we hold, newest on the right.

Fixtures & results →

Each table is the league's own published standings, including its bonus points, deductions and tie-breaks. BP is shown where the league publishes it; elsewhere it is already in Pts.